import MenuChange from "@/components/MenuChange";
import { MyIcon } from "@/global";
import { ProColumns } from "@ant-design/pro-components";
import { Badge, Space, TableColumnsType } from "antd";

export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: "小程序名称",
            dataIndex: 'appName',
            key: "appName",
            align: "left",
            render: (a: any, b: any) => {
                return <Space size={[3, 0]}>
                    <MyIcon type="icon-xiaochengxu-wx" />
                    {b.appName}
                </Space>
            }
        },
        {
            title: "AppId",
            dataIndex: 'appKey',
            key: "appKey",
            hideInSearch: true,
            align: "left",
        },
        {
            title: "小程序类型",
            dataIndex: 'appCategory',
            key: "appCategory",
            hideInSearch: true,
            align: "left",
            render: (a: any, b: any) => {
                return b.appCategory === 1 ? "长篇" : "短篇"
            }
        },
        {
            title: "允许投放渠道",
            dataIndex: 'advertisingChannels',
            key: "advertisingChannels",
            hideInSearch: true,
            align: "left",
            render: (a: any, b: any) => {
                return "需后端提供枚举"
            }
        },
        {
            title: "运营载体状态",
            dataIndex: 'appCarrierList',
            key: "appCarrierList",
            hideInSearch: true,
            align: "center",
            render: (a, b: any) => {
                let isTrue = b?.appCarrierList?.length > 0
                return <Badge status={isTrue ? "processing" : "error"} text={isTrue ? "有" : "无"} />
            }
        },
        {
            title: "操作",
            dataIndex: 'option',
            valueType: 'option',
            align: "center",
            render: (_, record) => {
                return <MenuChange menuType="miniApp" data={{ ...record, appType: 1 }}><a type='primary'>管理</a></MenuChange>
            },
        },
    ];
}
export const childrenColumns: TableColumnsType<any> = [
    {
        title: "载体名称",
        dataIndex: 'carrierName',
        key: "carrierName",
        align: "center",
    },
    {
        title: "载体类型",
        dataIndex: 'carrierType',
        key: "carrierType",
        align: "center",
        render: (a: string, b: any) => {
            return { '1': '企业微信', "2": "公众号" }[a]
        }
    },
    {
        title: "绑定时间",
        dataIndex: 'createTime',
        key: "createTime",
        align: "center",
    }
]